Name:           nodejs-step
Version:        0.0.6
Release:        2%{?dist}
Summary:        A simple control-flow library for Node.js

License:        MIT
URL:            https://github.com/creationix/step
Source0:        http://registry.npmjs.org/step/-/step-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-devel

%description
A simple control-flow library for Node.js that makes parallel
execution, serial execution, and error handling painless.


%prep
%setup -q -n package
rm -rf node_modules


%build


%check
for test in test/*Test.js
do
  %{__nodejs} ${test}
done


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/step
cp -pr package.json %{buildroot}/%{nodejs_sitelib}/step
install -p -D -m0644 lib/step.js %{buildroot}/%{nodejs_sitelib}/step/lib/step.js
%nodejs_symlink_deps


%files
%doc README.markdown
%license license.txt
%{nodejs_sitelib}/step


%changelog
* Wed Jul  1 2015 Tom Hughes <tom@compton.nu> - 0.0.6-2
- Add license file

* Wed Jul  1 2015 Tom Hughes <tom@compton.nu> - 0.0.6-1
- Update to 0.0.6 upstream release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.0.5-1
- Initial build of 0.0.5
